Bug 572582 - KVM: Guests loosing network connectivity after few migration operations.
KVM: Guests loosing network connectivity after few migration operations.
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.4
All Linux
high Severity high
: rc
: ---
Assigned To: Izik Eidus
Virtualization Bugs
:
Depends On:
Blocks: 556823 Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2010-03-11 10:45 EST by Oded Ramraz
Modified: 2013-01-10 21:50 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-10 06:35:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oded Ramraz 2010-03-11 10:45:41 EST
Description of problem:

When i run migration of X concurrent loaded Windows guests some of the guests are loosing theirs network connectivity after few iterations: ( see also BZ 499110 )
Guests answer to ping queries on the destination host only after few minutes.

We had the same issue with 5.4 kernel before.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Host CPU model: Intel(R) Xeon(R) CPU E5310  @ 1.60GHz
KVM version: kvm-83-161.el5
Kerenl version:  2.6.18-191.el5 #1 SMP Mon Mar 1 15:59:02 EST 2010 x86_64 x86_64 x86_64 GNU/Linux
Comment 2 Dor Laor 2010-03-11 16:43:28 EST
Oded, what's the host load? You said (off bugzilla, why not add it here?) that manual migration does work. What happens when you manually do migration with movies? 

What about capturing tcpdump on the destination to see tx packets?
Comment 3 Oded Ramraz 2010-03-14 04:33:56 EDT
I'm not sure that this bug is related to the Guest load:
When the movie ended on guest it paused from some reason instead of continue in a loop ( probably KVM/Media player issue ).
After the movie was stopped the problem still occurred.
I think that the issue here is the migration frequency rather than load.
If you need help with capturing tcpdump on the destination to see tx packets i can help/guide Lawrence guys how to do it.

Note You need to log in before you can comment on or make changes to this bug.